XML::DOM::XMLDecl(3)

NAME
XML::DOM::XMLDecl - XML declaration in XML::DOM

DESCRIPTION
XML::DOM::XMLDecl extends XML::DOM::Node, but is not part of the DOM Level 1 specification.

It contains the XML declaration, e.g.

 <?xml version="1.0" encoding="UTF-16" standalone="yes"?>

See also XML::DOM::Document::getXMLDecl.

  METHODS

getVersion and setVersion (version)
    Returns and sets the XML version. At the time of this writing the version should always be "1.0"

getEncoding and setEncoding (encoding)
    undef may be specified for the encoding value.

getStandalone and setStandalone (standalone)
    undef may be specified for the standalone value.